<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:w2c="http://www.catalogcreator.de/cc" w2c:cc-xml-version="5.0.0">

	<xsl:output method="html" indent="no" encoding="utf-16"/>
	<xsl:strip-space elements="*"/>
	<!--
  	/*
	 *(C) Copyright 2004 by CATALOGcreator GmbH.  All rights reserved.
	 *
	 * CATALOGcreator GmbH PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
	 * CATALOGcreator GmbH SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
	 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  
	 * CATALOGcreator GmbH DOES NOT WARRANT THAT THE OPERATION OF THE
	 * PROGRAM WILL BE UNINTERRUPTED OR ERROR FREE.
   	 */
	 
     /*
	 * This is an example stylesheet for CatalogCreator
	 */
	-->

	<!--
	Generation of <A HREF="javascript:...> results in an URI-encoded value that is not readable by the browser by now.
	So this looks like <A HREF="" onclick="...; return false;">
	If xsl:attribute should support disable-output-encoding some day this could be changed again.
	-->

	<!-- ********** Begin of templates ************ -->
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<META HTTP-EQUIV="MSThemeCompatible" CONTENT="Yes"/>
				<META name="description">
					<xsl:attribute name="content">
						<xsl:value-of select="//PRODUCT_CATEGORY[PRODUCT_INFO]/@name"/>
					</xsl:attribute>
				</META>
				<TITLE>
					<xsl:value-of select="//PRODUCT_CATEGORY[PRODUCT_INFO]/@name"/>
				</TITLE>
				<xsl:variable name="assigned_css">
					<xsl:choose>
						<xsl:when test="//ASSEMBLY[PART]/@css">
							<xsl:value-of select="//ASSEMBLY[PART]/@css"/>
						</xsl:when>
						<xsl:when test="//PRODUCT_CATEGORY[PRODUCT_INFO]/@css">
							<xsl:value-of select="//PRODUCT_CATEGORY[PRODUCT_INFO]/@css"/>
						</xsl:when>
						<xsl:otherwise>product.css</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<link rel="stylesheet">
					<xsl:attribute name="type">text/css</xsl:attribute>
					<xsl:attribute name="href">
						<xsl:value-of select="$assigned_css"/>
					</xsl:attribute>
				</link>
				<style type="text/css" MEDIA="print">.partstable {height: auto;}</style>

				<SCRIPT language="JavaScript">
				<xsl:comment>
				<![CDATA[
					onerror = stopError;
					function stopError() { return true; }				
				]]>
				//</xsl:comment>
				</SCRIPT>

				<!-- including texts edited with websitemanager -->
				<SCRIPT language="JavaScript" src="textscripts/text.js"></SCRIPT>

				<!-- including functions for handling assembly drawings -->
				<xsl:if test="//ASSEMBLY or //PRODUCT_CATEGORY[@detailview]">
					<SCRIPT language="JavaScript" src="../common/script/ic.js"></SCRIPT>
				</xsl:if>
				<!-- if there are assemblies we need the graphical dispatch routines -->
				<xsl:if test="//ASSEMBLY">
					<SCRIPT language="JavaScript" src="../common/script/2d3d.js"></SCRIPT>
				</xsl:if>
				<xsl:if test="//ASSEMBLY[PART and (not(@type) or @type!='svg') and @drawing !='']">
					<SCRIPT language="JavaScript" src="../common/script/iso.js"></SCRIPT>
					<SCRIPT language="VBScript" for="2d" event="HsHit(nMouseBtn, lRefID, strName, strViewPortName, strViewPortFile)">call HsHit(nMouseBtn, lRefID, strName, strViewPortName, strViewPortFile)</SCRIPT>
					<SCRIPT language="VBScript" for="2d" event="ContextMenuItemHit(item, Title)">call ContextMenuItemHit(item, Title)</SCRIPT>
				</xsl:if>
				<xsl:if test="//ASSEMBLY[PART and @type='svg']">
					<SCRIPT language="JavaScript" src="../common/script/svg.js"></SCRIPT>
					<SCRIPT LANGUAGE="JavaScript" SRC="../common/script/svgcheck.js"></SCRIPT>
					<SCRIPT LANGUAGE="VBScript" SRC="../common/script/svgcheck.vbs"></SCRIPT>
				</xsl:if>

				<xsl:if test="//ASSEMBLY[PART and @drawing3d!='']">
					<SCRIPT language="JavaScript" src="../common/script/xvl.js"></SCRIPT>
					<SCRIPT LANGUAGE="JavaScript" for="3d1" event="OnXvlLoad()">
					<xsl:comment>
						//alert("OnXvlLoad");
						cc_xvl_load_done('<xsl:value-of select="//ASSEMBLY/@ass_level"/>','3d1');
					</xsl:comment>
					</SCRIPT>
					<SCRIPT LANGUAGE="JavaScript" for="3d1" event="OnXvlGroupPick(obj, name)">
					<xsl:comment>
						var gPathStr;
					    //alert("OnXvlGroupPick");
					    gPathStr = xvl_player1.model.getPickedGPath();
					    var fromGeom = true;
					    ShowObject(gPathStr, fromGeom,'xvl');
					</xsl:comment>
					</SCRIPT>
				</xsl:if>

				<xsl:if test="//ASSEMBLY[PART and @altdrawing3d!='']">
					<SCRIPT language="JavaScript" src="../common/script/xvl.js"></SCRIPT>
					<SCRIPT LANGUAGE="JavaScript" for="3d2" event="OnXvlLoad()">
					<xsl:comment>
						//alert("OnXvlLoad");
						cc_xvl_load_done('<xsl:value-of select="//ASSEMBLY/@ass_level"/>','3d2');
					</xsl:comment>
					</SCRIPT>
					<SCRIPT LANGUAGE="JavaScript" for="3d2" event="OnXvlGroupPick(obj, name)">
					<xsl:comment>
						var gPathStr;
						//alert("OnXvlGroupPick");
						gPathStr = xvl_player2.model.getPickedGPath();
						var fromGeom = true;
						ShowObject(gPathStr, fromGeom,'xvl');
					</xsl:comment>
					</SCRIPT>
				</xsl:if>

				<!-- scripts for shopping cart and PowerParts -->
				<SCRIPT language="JavaScript" src="../common/script/isc.js"></SCRIPT>
				<SCRIPT language="JavaScript">
				<xsl:comment>
					
					initArrays();
					<xsl:for-each select="//ASSEMBLY[PART]">
						//parts information
						<xsl:for-each select="PART">
						<xsl:choose>
							<xsl:when test="@articlenumber!=''">info=<xsl:apply-templates select="." mode="createSC" />;</xsl:when>
							<xsl:otherwise>info="";</xsl:otherwise>
						</xsl:choose>
						<xsl:variable name="identifier">
							<xsl:choose>
								<xsl:when test="@hotspot_id!=''"><xsl:value-of select="@hotspot_id" /></xsl:when>	
								<xsl:otherwise><xsl:value-of select="@number" /></xsl:otherwise>
							</xsl:choose>							
						</xsl:variable>
						fillArrays(info, '<xsl:value-of select="VALUE[@type='PARTNAME']" />', <xsl:value-of select="@can_be_ordered" />,'<xsl:value-of select="$identifier"/>'	, '<xsl:value-of select="@articlenumber" />', '<xsl:value-of select="VALUE[@type='EAN']" />', '<xsl:value-of select="VALUE[@type='DELIVERY']" />', '<xsl:value-of select="@assemblylink" />', '<xsl:value-of select="@navlink" />');
						</xsl:for-each>
					</xsl:for-each>
                    //syncronize navigation frame with product page
                    loadNav('<xsl:value-of select="//ASSEMBLY/@navlink|//PRODUCT_CATEGORY/@navlink"/>');
				//</xsl:comment>
				</SCRIPT>

				<SCRIPT language="JavaScript">
				<xsl:comment>
				<![CDATA[
					function loadframeset()
					{
						if (parent.frames.length < 1) 
						{
							window.top.location.href="index.htm?seite="+location;
						}
					}
				]]>
				//</xsl:comment>
				</SCRIPT>				

			</HEAD>

			<!-- visible part of the HTML page -->
			<BODY>
				<xsl:if test="//ASSEMBLY[PART and @drawing!='' and (not(@type) or @type!='svg')]">
					<xsl:choose>
						<xsl:when test="//ASSEMBLY[PART and @drawing3d!='']">
							<xsl:attribute name="onload">Init('<xsl:value-of select="//ASSEMBLY[PART]/@drawing"/>'),checkParam();loadframeset();</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="onload">Init('<xsl:value-of select="//ASSEMBLY[PART]/@drawing"/>');loadframeset();</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="//ASSEMBLY[PART and @type='svg' and @drawing3d='']">
					<xsl:attribute name="onload">checkParam();dhtml_init();loadframeset();progressbar();</xsl:attribute>
                    <!-- Mario: SVG Übersicht -->
                    <xsl:attribute name="onmousemove">divbewegen();rectbewegen();</xsl:attribute>
                    <!-- ENDE -->
					<SCRIPT LANGUAGE="JavaScript">
					<xsl:comment>
						checkAndGetSVGViewer();
					//</xsl:comment>
					</SCRIPT>
                    <!-- Mario: SVG Übersicht -->
                                          <div id="divuebersicht" onmouseup="divstop()" style="position:absolute;top:60;left:15;z-index:3;background-color:#ffffff;border-top: 1px; border-bottom: 2px; border-right: 2px; border-left: 1px; border-style: solid;visibility:hidden;">
                    	<table width="200" onmousedown="divverschieben()">
                                                <tr height="1">
                            <td width="190">&nbsp;</td>
                            <td style="cursor: hand;" onclick="divausblenden()" align="right"><font size="-2">X&nbsp;</font></td>
                        </tr>
                        </table>
                        <EMBED NAME="SVGuebersicht" wmode="transparent" id="uebersicht" onmousedown="rectverschieben()" onmouseup="rectstop()" TYPE="image/svg+xml" width="200" height="100">
                                          	<xsl:attribute name="src"><xsl:value-of select="//ASSEMBLY/@drawing"/></xsl:attribute>
                        </EMBED>
                   </div>
                   <!--ENDE-->
				</xsl:if>
				<xsl:if test="//ASSEMBLY[PART and @drawing3d!='' and @type='svg']">
					<xsl:attribute name="onload">checkParam();dhtml_init();loadframeset();progressbar();</xsl:attribute>
				  	<!-- Mario: SVG Übersicht -->
           			<xsl:attribute name="onmousemove">divbewegen();rectbewegen();</xsl:attribute>
           			<!-- ENDE -->
           			<!-- Mario: SVG Übersicht -->
           			<div id="divuebersicht" onmouseup="divstop()" style="position:absolute;top:60;left:15;z-index:3;background-color:#ffffff;border-top: 1px; border-bottom: 2px; border-right: 2px; border-left: 1px; border-style: solid;visibility:hidden;">
           				<table width="200" onmousedown="divverschieben()">
                  			<tr height="1">
                            <td width="190">&nbsp;</td>
                            <td style="cursor: hand;" onclick="divausblenden()" align="right"><font size="-2">X&nbsp;</font></td>
                  			</tr>
              			</table>
              			<EMBED NAME="SVGuebersicht" wmode="transparent" id="uebersicht" onmousedown="rectverschieben()" onmouseup="rectstop()" TYPE="image/svg+xml" width="200" height="100">
                   			<xsl:attribute name="src"><xsl:value-of select="//ASSEMBLY/@drawing"/></xsl:attribute>
              			</EMBED>
           			</div>
           			<!--ENDE-->
				</xsl:if>
				<DIV id="body">
					<!-- for feature search: search history -->
					<table class="tables" align="center">
						<tr>
							<xsl:for-each select="//SEARCH_HISTORY">
								<TD class="shistory">
									<script language="JavaScript">
									<xsl:comment><![CDATA[
										document.writeln("&nbsp;" + str_pas_history);
									]]>//</xsl:comment>
									</script>
									<xsl:value-of select="."/>
									<br/>
								</TD>
							</xsl:for-each>
						</tr>

						<!-- for feature search: number of results -->
						<tr>
							<xsl:for-each select="//NUMBER_OF_RESULTS">
								<TD class="shistory">
									<script language="JavaScript">
									<xsl:comment><![CDATA[
										document.writeln("&nbsp;" + str_number_results);
									]]>//</xsl:comment>
									</script>
									<xsl:value-of select="."/>
								</TD>
							</xsl:for-each>
						</tr>
					</table>

					<xsl:apply-templates select="//PRODUCT_CATEGORY[PRODUCT_INFO]" mode="writeProduct"/>
					<xsl:apply-templates select="//ASSEMBLY[PART]" mode="writeAssembly"/>
				</DIV>
			</BODY>
		</HTML>
	</xsl:template>
	<!-- *********** End of HTML-Code *************** -->

	<!-- ********** PRODUCTS ************ -->
	<xsl:template match="PRODUCT_CATEGORY[PRODUCT_INFO]" mode="writeProduct">
		<xsl:for-each select=".">
			<!-- in feature search result dont show header with name of productgroup -->
			<xsl:if test="not(self::node()[@resultview]) and not(self::node()[@detailview])">
				<TABLE class="tables" align="center" id="space_title">
					<TR>
						<!-- PRODUCT NAME  -->
						<TD class="title" valign="top">
							<xsl:value-of select="@name"/>
						</TD>
					</TR>
					<xsl:if test="@powerpartsbranch">
						<TR>
							<TD align="right">
								<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
									<xsl:attribute name="onclick">goToPP('<xsl:value-of select="@powerpartsbranch"/>'); return false;</xsl:attribute>
									<IMG src="../common/pic/pp_web.gif" border="0"/>
								</A>
							</TD>
						</TR>
					</xsl:if>
					<xsl:if test="@ppf">
						<TR>
							<TD align="right">
								<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
									<xsl:attribute name="onclick">goToPPF('<xsl:value-of select="@ppf"/>'); return false;</xsl:attribute>
									<IMG src="../common/pic/pp_local.gif" border="0"/>
								</A>
							</TD>
						</TR>
					</xsl:if>
				</TABLE>
			</xsl:if>
			<xsl:apply-templates select="PRODUCT_INFO[not(@isvisibleinweb='0')]"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ********** END PRODUCTS ************ -->


	<!-- ************************************************* -->
	<!-- **************** variant ************************ -->
	<!-- ************************************************* -->
	<xsl:template match="PRODUCT_INFO[@type='variant']">
		<!-- nothing to do, only used in shopping cart -->
	</xsl:template>


	<!-- ******************************************************************* -->
	<!-- ************************** create Media ***************************** -->
	<!-- ******************************************************************* -->
	<xsl:template match="PRODUCT_INFO[@type='media']">
		<TABLE class="tables" align="center">
			<TR>
				<xsl:for-each select="MEDIA[not (@isvisibleinweb='0')]">
					<xsl:choose>
						<xsl:when test="@mime[.='video/mpeg' or .='video/quicktime' or .='audio/mpeg' or .='video/x-msvideo' or .='audio/x-wav']">
							<TD class="mmedia">
								<EMBED>
									<xsl:attribute name="src">
										<xsl:value-of select="./@src"/>
									</xsl:attribute>
								</EMBED>
							</TD>
						</xsl:when>
						<xsl:when test="@mime[.='application/x-shockwave-flash']">
							<TD class="mmedia">
								<object classid="CLSID:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://active.macromedia.com/flash2/cabs/swflash.cab#version=5,0,0,0" width="250" height="250">
									<param name="movie">
										<xsl:attribute name="value">
											<xsl:value-of select="./@src"/>
										</xsl:attribute>
									</param>
									<param name="quality" value="high"/>
									<param name="scale" value="exactfit"/>
									<param name="menu" value="true"/>
									<param name="bgcolor" value="#000040"/>
									<embed quality="high" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="250" height="250">
										<xsl:attribute name="src">
											<xsl:value-of select="./@src"/>
										</xsl:attribute>
									</embed>
								</object>
							</TD>
						</xsl:when>
						<xsl:when test="@mime[.='application/msexcel' or .='application/msword' or .='application/pdf' or .='application/rtf' or .='text/html']">
							<TD class="mmedia">
								<script language="JavaScript">
								<xsl:comment>
									
									var src_file = '<xsl:value-of select="./@src"/>';
									var type = '<xsl:value-of select="./@mime"/>';
									<![CDATA[
									if (document.all)
										document.write('<iframe frameborder="0" width="100%" height="600" src="' + src_file + '"></iframe>');
									else
									{
										document.write('<ilayer width="100%" height="600">');
										document.write('<EMBED type="' + type + '" src="' + src_file + '"></EMBED>');
										document.write('</ilayer>');
									}
									]]>
								
								//</xsl:comment>
								</script>
							</TD>
						</xsl:when>
						<xsl:when test="@mime[.='image/bmp' or .='image/gif' or .='image/jpeg' or .='image/x-png']">
							<TD class="mmedia">
								<xsl:choose>
									<xsl:when test="PRODUCT_INFO[@type='link']">
										<A>
											<xsl:attribute name="target">
												<xsl:value-of select="PRODUCT_INFO[@type='link']/@linktarget"/>
											</xsl:attribute>
											<xsl:attribute name="href">
												<xsl:value-of select="PRODUCT_INFO[@type='link']/@src"/>
											</xsl:attribute>
											<IMG class="image">
												<xsl:attribute name="id">
													<xsl:value-of select="@feature_tag"/>
												</xsl:attribute>
												<xsl:attribute name="src">
													<xsl:value-of select="./@src"/>
												</xsl:attribute>
											</IMG>
										</A>
									</xsl:when>
									<xsl:otherwise>
										<IMG class="image">
											<xsl:attribute name="id">
												<xsl:value-of select="@feature_tag"/>
											</xsl:attribute>
											<xsl:attribute name="src">
												<xsl:value-of select="./@src"/>
											</xsl:attribute>
										</IMG>
									</xsl:otherwise>
								</xsl:choose>
							</TD>
						</xsl:when>
						<xsl:when test="@mime[.='image/svg+xml']">
							<xsl:choose>
								<xsl:when test="/WEB2CAD/@preview">
									<TD class="mmedia">
										<!-- Becht 03.2005 - made mode=transparent to show tooltips -->
                                        <EMBED id="svgembed" NAME="SVGEmbed" wmode="transparent" TYPE="image/svg+xml" class="isoview_div">
											<xsl:attribute name="src">
												<xsl:value-of select="@src"/>
											</xsl:attribute>
											<PARAM NAME="wmode" VALUE="transparent"/>
										</EMBED>
									</TD>
								</xsl:when>
								<xsl:otherwise>
									<TD class="mmedia">
										<script language="JavaScript">
										<xsl:comment>
											cc_has_2d='svg';
										//</xsl:comment>
										</script>
                                        <EMBED NAME="SVGEmbed"  id="svgembed" wmode="transparent" TYPE="image/svg+xml" class="isoview_div">
                                            <xsl:attribute name="src"><xsl:value-of select="@drawing"/>
											</xsl:attribute>
											<PARAM NAME="wmode" VALUE="transparent"/>
										</EMBED>
									</TD>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="@src[.!='']">
							<TD class="mmedia">
								<script language="JavaScript">
								<xsl:comment><![CDATA[
									document.write(str_load_file);
								]]>//</xsl:comment>
								</script>
								<br/>
								<A>
									<xsl:attribute name="href">
										<xsl:value-of select="./@src"/>
									</xsl:attribute>
									<xsl:value-of select="./@name"/>
								</A>
							</TD>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
			</TR>
			<TR>
				<xsl:for-each select="MEDIA[not (@isvisibleinweb='0')]">
					<TD class="mm_txt">
						<xsl:apply-templates select="*[not (@isvisibleinweb='0')]"/>
					</TD>
				</xsl:for-each>
			</TR>
		</TABLE>
	</xsl:template>

	<!-- ************************************************* -->
	<!-- ************** text ***************************** -->
	<!-- ************************************************* -->
	<xsl:template match="PRODUCT_INFO[@type='text']">
		<TABLE class="tables" align="center" id="space_text">
			<TR>
				<TD class="txt">
					<xsl:apply-templates/>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>

	<!-- text below media element -->
	<xsl:template match="PRODUCT_INFO[parent::MEDIA][@type='text']">
		<xsl:apply-templates/>
	</xsl:template>

	<!-- ************************************************* -->
	<!-- ************** order_information **************** -->
	<!-- ************************************************* -->
	<xsl:template match="PRODUCT_INFO[@type='order_information']">
		<TABLE class="tables" align="center" id="space_info">
			<TR>
				<TD align="left" class="order_info">
					<xsl:apply-templates/>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>

	<!-- ************************************************* -->
	<!-- ************** remark *************************** -->
	<!-- ************************************************* -->
	<xsl:template match="PRODUCT_INFO[@type='remark']">
		<TABLE class="tables" align="center" id="space_remark">
			<TR>
				<TD align="left" class="remark">
					<xsl:apply-templates/>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>

	<!-- ************************************************* -->
	<!-- ***************** links ************************* -->
	<!-- ************************************************* -->
	<xsl:template match="PRODUCT_INFO[@type='link']">
		<TABLE class="tables" align="center" id="space_link">
			<TR>
				<TD align="left">
					<A>
						<xsl:if test="@linktarget">
							<xsl:attribute name="target">
								<xsl:value-of select="@linktarget"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="href">
							<xsl:value-of select="@src"/>
						</xsl:attribute>
						<xsl:value-of select="@name"/>
						<xsl:apply-templates/>
					</A>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>

	<!-- link below media element -->
	<xsl:template match="PRODUCT_INFO[parent::MEDIA][@type='link']">
		<A>
			<xsl:if test="@linktarget">
				<xsl:attribute name="target">
					<xsl:value-of select="@linktarget"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="href">
				<xsl:value-of select="@src"/>
			</xsl:attribute>
			<xsl:value-of select="@name"/>
			<xsl:apply-templates/>
		</A>
	</xsl:template>

	<!-- ************************************************* -->
	<!-- ****************** TABLE TYPES ****************** -->
	<!-- ** all tables, except tables with name 'extra' ** -->
	<xsl:template match="PRODUCT_INFO[@type='articles']">
		<!-- ********************************************* -->
		<!-- ************* TABLE OF PRODUCTS ************* -->
		<!-- ********* Horizontal aligned Values ********* -->
		<!-- ********************************************* -->

		<!-- create variable whether shopping cart column for isc is needed -->
		<xsl:variable name="sccol_isc">
			<xsl:choose>
				<xsl:when test="ARTICLE/@number!='' and @name!='info' and @name!='tab2' and (ARTICLE/@can_be_ordered='1' or ARTICLE/@cart='1' or (not(ARTICLE/@can_be_ordered) and not(ARTICLE/@cart)))">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<!-- EXTERNAL TABLE -->
		<TABLE class="tables" align="center" id="space_product">
			<TR>
				<TD>
					<!--INTERNAL TABLE -->
					<TABLE class="internalTable" align="left">
						<!-- ***///// TABLE- HEADERS /////*** -->
						<TR class="thead">
							<!-- column for detail view symbol in feature search -->
							<xsl:if test="@name='searchresult'">
								<TD width="1%">&nbsp;</TD>
							</xsl:if>

							<!-- column for shopping cart symbol, not visible in info/tab2-tables -->
							<xsl:if test="$sccol_isc=1">
								<TD class="th_cart">&nbsp;</TD>
							</xsl:if>

							<!-- ///// OTHER PARAMETERS ///// -->
							<xsl:for-each select="FEATURE_SYSTEM/*[not(@isvisibleinweb='0') and not(../../@name='info' and @type='ARTICLENUMBER') and not(self::SUBTABLEFEATURE)]">
								<TD>
									<xsl:attribute name="class">th_<xsl:value-of select="@type"/></xsl:attribute>
									<xsl:apply-templates/>
								</TD>
							</xsl:for-each>

							<!-- ///// PRICE ///// -->
							<xsl:if test="not(../@resultview)">
								<!-- display price header if not in result view of PAS -->
								<xsl:for-each select="ARTICLE[1]/PRICE">
									<TD class="th_price">
										<xsl:value-of select="../../ARTICLE_DESCRIPTION/@price"/>
										<xsl:if test="@quantity &gt; 1">/<xsl:value-of select="@quantity"/></xsl:if>
										<xsl:if test="@sellingunit">
											<BR/>
											<xsl:value-of select="@sellingunit"/>
										</xsl:if>
									</TD>
								</xsl:for-each>
							</xsl:if>

							<xsl:if test="ARTICLE/@powerpartsbranch">
								<TD class="th_ppbranch">
									<xsl:value-of select="ARTICLE_DESCRIPTION/@pponweb"/>
								</TD>
							</xsl:if>

							<xsl:if test="ARTICLE/@ppf">
								<TD class="th_ppf">
									<xsl:value-of select="ARTICLE_DESCRIPTION/@pplocal"/>
								</TD>
							</xsl:if>
						</TR>

						<!-- ***///// TABLE- SUBHEADERS /////*** -->
						<xsl:if test="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]/@unit[.!='']|ARTICLE[1]/PRICE/@currency">
							<xsl:if test="not(../@resultview)">
								<!-- never show this line in result view of pas -->
								<TR class="thead">
									<!-- column for detail view symbol in feature search -->
									<xsl:if test="@name='searchresult'">
										<TD width="1%">&nbsp;</TD>
									</xsl:if>
									<!-- column for shopping cart symbol, not visible in info/tab2-tables -->
									<xsl:if test="$sccol_isc=1">
										<TD class="th_cart">&nbsp;</TD>
									</xsl:if>
									<!-- ///// UNITS ///// -->
									<xsl:for-each select="FEATURE_SYSTEM/*[not(@isvisibleinweb='0') and not(../../@name='info' and @type='ARTICLENUMBER') and not(self::SUBTABLEFEATURE)]">
										<TD>
											<xsl:attribute name="class">th_<xsl:value-of select="@type"/></xsl:attribute>&nbsp;<xsl:value-of select="@unit"/>&nbsp;</TD>
									</xsl:for-each>
									<!-- ///// CURRENCY ///// -->
									<xsl:if test="not(../@resultview)">
										<!-- display currencies if not in result view of PAS -->
										<xsl:for-each select="ARTICLE[1]/PRICE">
											<TD class="th_price">&nbsp;<xsl:value-of select="@currency"/>&nbsp;</TD>
										</xsl:for-each>
									</xsl:if>
									<xsl:if test="ARTICLE/@powerpartsbranch">
										<TD class="th_ppbranch">&nbsp;</TD>
									</xsl:if>
									<xsl:if test="ARTICLE/@ppf">
										<TD class="th_ppf">&nbsp;</TD>
									</xsl:if>
								</TR>
							</xsl:if>
						</xsl:if>

						<!-- ***///// VALUES /////*** -->

						<xsl:for-each select="ARTICLE">
							<TR>
								<xsl:attribute name="class">tline<xsl:value-of select="(position() mod 2) +1"/></xsl:attribute>
								<!-- column for detail view in feature search -->
								<xsl:if test="../@name='searchresult'">
									<TD class="t_cart" width="1%">
										<A>
											<xsl:attribute name="HREF">javascript:parent.searchinput.showArticleDetailPage(<xsl:value-of select="position()-1"/>)</xsl:attribute>
											<!-- the shopping cart symbol -->
											<IMG src="../common/pic/detailview.gif" width="20" height="20" border="0"/>
										</A>
									</TD>
								</xsl:if>

								<!-- column for shopping cart symbol, not visible in info/tab2-tables -->
								<xsl:if test="$sccol_isc=1">
									<xsl:variable name="scstring">
										<xsl:choose>
											<xsl:when test="@number!=''">
												<xsl:apply-templates select="." mode="createSC"/>
											</xsl:when>
											<xsl:otherwise>''</xsl:otherwise>
										</xsl:choose>
									</xsl:variable>
									<TD class="t_cart" width="1%">
										<xsl:choose>
											<xsl:when test="@number!='' and (@can_be_ordered='1' or @cart='1' or (not(@can_be_ordered) and not(@cart)))">
												<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
													<xsl:attribute name="onclick">add2cart2(<xsl:value-of select="translate($scstring,'	','')"/>); return false;</xsl:attribute>
													<IMG src="../common/pic/cart.gif" width="20" height="20" border="0"/>
												</A>
											</xsl:when>
											<xsl:otherwise>&nbsp;</xsl:otherwise>
										</xsl:choose>
									</TD>
								</xsl:if>

								<!-- ///// other values ///// -->
								<xsl:for-each select="*">
									<xsl:variable name="pos" select="position()"/>
									<xsl:if test="../../FEATURE_SYSTEM/*[position()=$pos][not (@isvisibleinweb='0')]">
										<xsl:apply-templates select="."/>
									</xsl:if>
								</xsl:for-each>
								<xsl:apply-templates select="PRICE"/>
								<!-- ///// powerparts-branch ///// -->
								<xsl:if test="../ARTICLE/@powerpartsbranch">
									<TD id="t_ppbranch">
										<xsl:choose>
											<xsl:when test="@powerpartsbranch">
												<A>
													<xsl:attribute name="href">javascript:goToPP('<xsl:value-of select="@powerpartsbranch"/>')</xsl:attribute>
													<IMG src="../common/pic/pp_web.gif" border="0"/>
												</A>
											</xsl:when>
											<xsl:otherwise>&nbsp;</xsl:otherwise>
										</xsl:choose>
									</TD>
								</xsl:if>
								<xsl:if test="../ARTICLE/@ppf">
									<TD id="t_ppf">
										<xsl:choose>
											<xsl:when test="@ppf">
												<A>
													<xsl:attribute name="href">javascript:goToPPF('<xsl:value-of select="@ppf"/>')</xsl:attribute>
													<IMG src="../common/pic/pp_local.gif" border="0"/>
												</A>
											</xsl:when>
											<xsl:otherwise>&nbsp;</xsl:otherwise>
										</xsl:choose>
									</TD>
								</xsl:if>
							</TR>
						</xsl:for-each>
					</TABLE>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>


	<!-- ****************************************************** -->
	<!-- ************* EXTRA: for optional features *********** -->
	<!-- *************  not displayed on HTML-page  *********** -->
	<!-- ****************************************************** -->
	<xsl:template match="PRODUCT_INFO[@type='articles' and @name='extra']">
	</xsl:template>

	<!-- ********************************************************  -->
	<!-- *** template for generating the shopping cart string ***  -->
	<!-- ********************************************************  -->
	<!-- for compatibility with xalan (used by feature search) and -->
	<!-- netscape browsers:                                        -->
	<!--    - don't use spaces in this template                    -->
	<!--    - use tabs/linebreaks instead                          -->
	<xsl:variable name="von">'</xsl:variable>
	<xsl:variable name="nach">\'</xsl:variable>
	<xsl:template match="ARTICLE[@number!='']|PART[@articlenumber!='']" mode="createSC">
		'<xsl:choose>
			<xsl:when test="@articlenumber"><xsl:value-of select="@articlenumber" />**<xsl:value-of select="VALUE[@type='PARTNAME' or @type='ARTICLENAME']" /></xsl:when>
			<xsl:when test="@productname"><xsl:value-of select="@number" />**<xsl:value-of select="@productname" /></xsl:when><!-- needed for PAS -->
			<xsl:otherwise><xsl:value-of select="VALUE[@type='ARTICLENUMBER']" />**<xsl:value-of select="VALUE[@type='ARTICLENAME']" /></xsl:otherwise>
		</xsl:choose>**<!-- Article number --><!-- Description == Name of part/Name of product -->
		<xsl:for-each select="PRICE"><xsl:if test="@price"><xsl:value-of select="@price" />$$</xsl:if></xsl:for-each>**<!-- Prices -->
		<xsl:for-each select="PRICE"><xsl:if test="@price"><xsl:value-of select="@quantity" />$$</xsl:if></xsl:for-each>**<!-- Quantities -->
		<xsl:for-each select="PRICE"><xsl:if test="@price"><xsl:value-of select="@currency" />$$</xsl:if></xsl:for-each>**<!-- Currencies -->
		<xsl:for-each select="PRICE"><xsl:if test="@price"><xsl:call-template name="replace-text"><xsl:with-param name="text" select="@sellingunit" /><xsl:with-param name="replace" select="$von"/><xsl:with-param name="by" select="$nach"/></xsl:call-template>$$</xsl:if></xsl:for-each>**<!-- Selling units -->
		<xsl:for-each select="../../PRODUCT_INFO[@type='variant']|PRODUCT_INFO[@type='variant']">
			<xsl:value-of select="@name"/><xsl:for-each select="VARIANT">$$<xsl:value-of select="."/></xsl:for-each>
			<xsl:if test="position() != last()">##</xsl:if>
		</xsl:for-each>**'<!-- variants -->
		<xsl:choose>
			<xsl:when test="@productgroupfilename">+"../<xsl:value-of select="@productgroupfilename"/>"+</xsl:when><!-- needed for PAS -->
			<xsl:otherwise>+location.href+</xsl:otherwise>
		</xsl:choose>
		'**<xsl:for-each select="../../PRODUCT_INFO[@name='extra']/ARTICLE"><xsl:value-of select="@name" />##' +
				'<xsl:for-each select="PRICE"><xsl:value-of select="@price" />$$</xsl:for-each>##' +
				'<xsl:for-each select="PRICE"><xsl:value-of select="@quantity" />$$</xsl:for-each>;</xsl:for-each>**<xsl:choose>
			<xsl:when test="@articlenumber"><xsl:value-of select="../@name" /></xsl:when>
			<xsl:when test="@number"><xsl:value-of select="../../@name" /></xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose>**'
	</xsl:template>

	<!-- ****************************************************** -->
	<!-- ******************** Assemblies ********************** -->
	<!-- ****************************************************** -->
	<xsl:template match="ASSEMBLY[PART]" mode="writeAssembly">
		<!-- display assembly title and assembly drawing -->
		<xsl:for-each select=".">
			<TABLE class="tables" align="center" id="space_title">
				<TR>
					<!-- PRODUCT NAME  -->
					<TD class="title" valign="top">
						<xsl:value-of select="@name"/>
					</TD>
				</TR>
			</TABLE>
			<center id="space_assembly">
				<xsl:choose>
					<!-- no 2d - no 3d-->
					<xsl:when test="@drawing='' and @drawing3d=''">
					</xsl:when>
					<xsl:otherwise>
						<div id="isoview_div" class="isoview_div">
							<!-- display window frame includes both windows-->
							<!--3d drawing 3d1-->
							<xsl:if test="@drawing3d!=''">
								<object classid="CLSID:C0975880-11DF-11D5-8084-0040B4116A31" id="3d1" style="left:0px" class="viewcontainer">
									<PARAM NAME="FileName">
										<xsl:attribute name="VALUE">
											<xsl:value-of select="//ASSEMBLY[PART]/@drawing3d"/>
										</xsl:attribute>
									</PARAM>
									<PARAM NAME="Behavior" VALUE="viewer"/>
									<PARAM NAME="DivNum" VALUE="6"/>
									<PARAM NAME="BgColor" VALUE="#FFFFFF"/>
									<PARAM NAME="Options" VALUE="MenuCameraChange(on),
												     EventAlways(GroupPick)"/>
								</object>
							</xsl:if>
							<!--3d drawing 3d2 Alternative-->
							<xsl:if test="@drawing3d!=''">
								<object classid="CLSID:C0975880-11DF-11D5-8084-0040B4116A31" id="3d2" style="left:-600px; display:none" class="viewcontainer">
									<PARAM NAME="FileName">
										<xsl:attribute name="VALUE">
											<xsl:value-of select="//ASSEMBLY[PART]/@altdrawing3d"/>
										</xsl:attribute>
									</PARAM>
									<PARAM NAME="Behavior" VALUE="viewer"/>
									<PARAM NAME="DivNum" VALUE="6"/>
									<PARAM NAME="BgColor" VALUE="#FFFFFF"/>
									<PARAM NAME="Options" VALUE="MenuCameraChange(on),
												     EventAlways(GroupPick)"/>
								</object>
							</xsl:if>
							<!--2d drawing -->
							<xsl:if test="@drawing!=''">
								<xsl:choose>
									<!-- SVG -->
									<xsl:when test="@type[.='svg']">
										<xsl:choose>
											<!-- SVG Preview -->
											<xsl:when test="/WEB2CAD/@preview">
												<!--div class = "isoview_div"-->
												<!--div-->
												<!-- 3d and 2d drawing -->
												<!-- Becht 03.2005 - made mode=transparent to show tooltips -->
												<EMBED NAME="SVGEmbed" wmode="transparent" id="2d" TYPE="image/svg+xml" style="left: 0px" class="viewcontainer">
													<!--xsl:attribute name ="class">
															 <xsl:choose>
																<xsl:when test="@drawing3d!=''">2dviewwith</xsl:when>   
																 <xsl:otherwise>2dviewonly</xsl:otherwise>
															</xsl:choose>
														</xsl:attribute-->
                                                        <xsl:attribute name="src"><xsl:value-of select="@drawing"/></xsl:attribute>
													<PARAM NAME="wmode" VALUE="transparent"/>
												</EMBED>
											</xsl:when>
											<!-- SVG Exported -->
											<xsl:otherwise>
												<script language="JavaScript">
												<xsl:comment>
													cc_has2d='svg';
												//</xsl:comment>
												</script>
												  <xsl:choose>
														<xsl:when test="@drawing3d!=''">														
														<!-- 3d and 2d drawing -->
														<!-- Becht 03.2005 - made mode=transparent to show tooltips -->
														<EMBED NAME="SVGEmbed" wmode="transparent" id="2d" style="left: -600px" TYPE="image/svg+xml" class="viewcontainer">
                                                            <xsl:attribute name="src"><xsl:value-of select="@drawing"/></xsl:attribute>
															<PARAM NAME="wmode" VALUE="transparent"/>
														</EMBED>
													  </xsl:when>
													  <xsl:otherwise>
														<!-- Becht 03.2005 - made mode=transparent to show tooltips -->
														<EMBED NAME="SVGEmbed" wmode="transparent" id="2d" style="left: 0px" TYPE="image/svg+xml" class="viewcontainer">
                                                            <xsl:attribute name="src"><xsl:value-of select="@drawing"/></xsl:attribute>
															<PARAM NAME="wmode" VALUE="transparent"/>
														</EMBED>
													  </xsl:otherwise>
												  </xsl:choose>												  
											</xsl:otherwise>
										</xsl:choose>																	
										
									</xsl:when>

									<!-- ISO -->
									<xsl:otherwise>
										<xsl:choose>
											<!-- ISO Preview -->
											<xsl:when test="/WEB2CAD/@preview">
												<embed name="iso_img" type="application/x-isoview" align="middle" border="0" view="home" style="left: 0px">
													<xsl:attribute name="class">
														<xsl:choose>
															<xsl:when test="@drawing3d!=''">viewcontainer</xsl:when>
															<xsl:otherwise>viewcontainer</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
													<xsl:choose>
														<xsl:when test="substring(@drawing,2,1)=':'">
															<xsl:attribute name="src">
																<xsl:value-of select="@drawing"/>
															</xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:attribute name="src"><xsl:value-of select="@drawing"/></xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
												</embed>
											</xsl:when>

											<!-- ISO Exported -->
											<xsl:otherwise>
												<script language="JavaScript">
												<xsl:comment>
													var src_file = '<xsl:value-of select="@drawing"/>';
													<![CDATA[
													if (navigator.platform == "Win32")
													{													
													]]>

														<xsl:choose>
															<xsl:when test="@drawing3d!=''">
															<!-- 3d and 2d drawing -->
															<![CDATA[
																document.writeln('<object id="2d" style="left: -600px" classid="CLSID:865B2280-2B71-11D1-BC01-006097AC382A" codebase="' + str_ie_plugin_url + '" class="viewcontainer">');
															]]>
															</xsl:when>
															<xsl:otherwise>
															<![CDATA[
																document.writeln('<object id="2d" style="left: 0px" classid="CLSID:865B2280-2B71-11D1-BC01-006097AC382A" codebase="' + str_ie_plugin_url + '" class="viewcontainer">');
															]]>
															</xsl:otherwise>
														</xsl:choose>
													<![CDATA[
													document.writeln('<param name="border" value="1" />');
													document.writeln('<embed name="iso_img" type="application/x-isoview" src="' + src_file + '" align="middle" border="0" view="home" pluginspage="' + str_ns_plugin_url + '">');
													document.writeln('</embed>');
													document.writeln('</object>');
													}
													else
														document.write('<p class="warning">' + str_platform + '</p>');
													]]>
												//</xsl:comment>
												</script>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
						<div class="2d3d_bar">
							<div class="2d3d_switch">
								<xsl:if test="@drawing3d!=''">
									<div class="2d3dbtnclk" id="3d1btn" onClick="show2d3d(this.id)" onMouseOver="movr(this.id)" onMouseOut="mout(this.id)">3D-View</div>
								</xsl:if>
								<xsl:if test="@altdrawing3d!=''">
									<div class="2d3dbtn" id="3d2btn" onClick="show2d3d(this.id)" onMouseOver="movr(this.id)" onMouseOut="mout(this.id)">3D-Alternativ</div>
								</xsl:if>
								<xsl:if test="@drawing!=''">
									<div id="2dbtn" onClick="show2d3d(this.id)" onMouseOver="movr(this.id)" onMouseOut="mout(this.id)">
										<xsl:attribute name="class">
											<xsl:choose>
												<xsl:when test="@drawing3d!=''">2d3dbtn</xsl:when>
												<xsl:otherwise>2d3dbtnclk</xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>2D-View</div>
								</xsl:if>
							</div>

							<!--button name="2d3dbutton" id="2d3dbutton" type="button" onClick="show2d3d(this.innerText)">> 2D</button-->
							<xsl:if test="@drawing3d!=''">
								<div class="3d_switch_vis" id="switch_vis" style="top:0px">
									<div class="3dvisclk" id="btnall" onClick="vis3d(this.id)" onMouseOver="vis3dmovr(this.id)" onMouseOut="vis3dmout(this.id)">show all</div>
									<div class="3dvis" id="btnselected" onClick="vis3d(this.id)" onMouseOver="vis3dmovr(this.id)" onMouseOut="vis3dmout(this.id)">show selected</div>
								</div>
							</xsl:if>

							<xsl:if test="@drawing!='' and @type ='svg'">
								<xsl:choose>
									<xsl:when test="/WEB2CAD/@preview">
										<xsl:if test="@drawing3d=''">
											<div class="svg_symbolbar" id="svg_symbolbar" style="top: 0px">
												<table width="100%" cellpadding="0" cellspacing="0">
													<tr>
														<td>&nbsp;</td>
														<td width="20">
															<A href="javascript:doNothing()">
																<SPAN id="pan" class="svgbutton">
																	<IMG border="0" src="../common/pic/pan.png"/>
																</SPAN>
															</A>
														</td>
														<td width="20">
															<A href="javascript:doNothing()">
																<SPAN id="zoomin" class="svgbutton">
																	<IMG border="0" src="../common/pic/zoomin.png"/>
																</SPAN>
															</A>
														</td>
														<td width="20">
															<A href="javascript:doNothing()">
																<SPAN id="zoomout" class="svgbutton">
																	<IMG border="0" src="../common/pic/zoomout.png"/>
																</SPAN>
															</A>
														</td>
														<td width="20">
															<A href="javascript:doNothing()">
																<SPAN id="zoominwindow" class="svgbutton">
																	<IMG border="0" src="../common/pic/zoom.png"/>
																</SPAN>
															</A>
														</td>
														<td width="20">
															<A href="javascript:doNothing()">
																<SPAN id="showall" class="svgbutton">
																	<IMG border="0" src="../common/pic/selectall.png"/>
																</SPAN>
															</A>
														</td>
														<td width="20">
															<A href="javascript:doNothing()">
																<SPAN id="homeview" class="svgbutton">
																	<IMG border="0" src="../common/pic/home.png"/>
																</SPAN>
															</A>
														</td>
													</tr>
												</table>
											</div>
										</xsl:if>
									</xsl:when>
									<xsl:otherwise>
										<script language="JavaScript">
										<xsl:comment>
											<xsl:choose>
												<xsl:when test="@drawing3d!=''">
												<![CDATA[
												  document.writeln('<div class="svg_symbolbar" id="svg_symbolbar" style="top: -40px">');
												]]>
												</xsl:when>
												<xsl:otherwise>
												<![CDATA[
												  document.writeln('<div class="svg_symbolbar" id="svg_symbolbar" style="top: 0px">');
												]]>
												</xsl:otherwise>
											</xsl:choose>
										  	<![CDATA[
										  	document.writeln('<table width="100%" cellpadding="0" cellspacing="0">');
										  	document.writeln('<tr>');
											
											//Ladebalken fuer SVG-Zeichnungen
											document.writeln('<td align="left" bgcolor="white">');
											document.writeln('<DIV id="laden" background="white" style="background:white">');
											document.writeln('<IMG src="../common/pic/ladebalken.gif"/>&nbsp;');
											document.writeln('</DIV>');					
											document.writeln('</td>');		
											
											document.writeln('<td></td>');
										  	document.writeln('<td width="20"><A onmousedown="toolBar(\'pan\')" href="javascript:doNothing()"><SPAN id="pan" class="svgbutton"><IMG border="0" src="../common/pic/pan.png" alt="' + strPan + '"/></SPAN></A></td>\n');
										  	document.writeln('<td width="20"><A onmousedown="toolBar(\'zoomIn\')" href="javascript:doNothing()"><SPAN id="zoomin" class="svgbutton"><IMG border="0" src="../common/pic/zoomin.png" alt="' + strZoomIn + '"/></SPAN></A></td>\n');
										  	document.writeln('<td width="20"><A onmousedown="toolBar(\'zoomOutA\')" onmouseup="toolBar(\'zoomOutE\')" href="javascript:doNothing()"><SPAN id="zoomout" class="svgbutton"><IMG border="0" src="../common/pic/zoomout.png" alt="' + strZoomOut + '"/></SPAN></A></td>\n');
										  	document.writeln('<td width="20"><A onmousedown="toolBar(\'zoomInWindow\')" href="javascript:doNothing()"><SPAN id="zoominwindow" class="svgbutton"><IMG border="0" src="../common/pic/zoom.png" alt="' + strZoomWindow + '"/></SPAN></A></td>\n');
										  	document.writeln('<td width="20"><A onmousedown="toolBar(\'showAllHotspots\')" onmouseup="toolBar(\'hideAllHotspots\')" href="javascript:doNothing()"><SPAN id="showall" class="svgbutton"><IMG border="0" src="../common/pic/selectall.png" alt="' + strShowHotspots + '"/></SPAN></A></td>\n');
										  	document.writeln('<td width="20"><A onmousedown="toolBar(\'homeViewA\')" onmouseup="toolBar(\'homeViewE\')" href="javascript:doNothing()"><SPAN id="homeview" class="svgbutton"><IMG border="0" src="../common/pic/home.png" alt="' + strHomeView + '"/></SPAN></A></td>\n');
										  	document.writeln('</tr>');
										  	document.writeln('</table>');
										  	document.writeln('</div>');
										  	]]>
										//</xsl:comment>
										</script>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
						<xsl:if test="/WEB2CAD/@preview and @drawing3d!=''">
							<div class="2d3d_bar">
								<p>
									<font style="font-size:10px; color:blue">2D-drawing is visible in exported catalog only <br/>2D-Zeichnung ist nur im exportierten Katalog sichtbar</font>
								</p>
							</div>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>

				<script language="JavaScript">
				<xsl:comment>
				<![CDATA[
					if (!document.all && (document.SVGEmbed || document.iso_img))
					{
						// check if Netscape is used with version 2 of svg viewer
						if (navigator.plugins['Adobe SVG Viewer Plugin'])
						{
							if (navigator.plugins['Adobe SVG Viewer Plugin'].description == "SVG Viewer 2.0 for Netscape")
							{
								var newWin = window.open('staticpages/svgplugin.htm','plugin','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,width=250,height=400');
								newWin.focus();
							}
						}
						document.writeln('&nbsp;<br>');
						document.writeln('<center><form name=menu>');
						document.writeln('<font face="Arial">' + str_part_posnr + '</font>&nbsp;<input type="text" size="10" name="artid" value="" readonly>&nbsp;&nbsp;');
						document.writeln('<font face="Arial">' + str_part_name + '</font>&nbsp;<input type="text" size="15" name="artname" value="" readonly>&nbsp;&nbsp;');
						document.writeln('<A HREF="javascript:look4part(document.menu.artname.value)"><IMG src="../common/pic/cart.gif" width="20" height="20" border="0" ></A>');
						document.writeln('</form></center>');
					}
					]]>
				//</xsl:comment>
				</script>
			</center>
		</xsl:for-each>

		<!-- display product information located above parts in table -->
		<xsl:apply-templates select="PRODUCT_INFO[following-sibling::PART]"/>


		<!-- display parts table -->
		<!-- create variable whether shopping cart column is needed -->
		<xsl:variable name="sccol">
			<xsl:choose>
				<xsl:when test="PART/@articlenumber and PART/@can_be_ordered='1'">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!-- daniel.binder@tid-informatik.de -->
		<!-- If no drawing is available the table get the style partstable_nodrawing -->

		<xsl:if test="//ASSEMBLY[@drawing='' and @drawing3d='']">
			<DIV id="partstableDIV" align="center" class="partstable_nodrawing">
				<FORM name="show">
					<!-- EXTERNAL TABLE -->
					<TABLE class="tables">
						<TR>
							<TD>
								<!--INTERNAL TABLE -->
								<TABLE class="internalTable">
									<!-- ***///// TABLE- HEADERS /////*** -->
									<THEAD>
										<TR class="thead">
											<!-- Binder 11.2005 - RadioButton vorne -->
											<xsl:if test="@drawing!='' or @drawing3d!=''">
												<TD class="th_select">&nbsp;</TD>
											</xsl:if>
											<xsl:if test="$sccol=1">
												<TD class="th_cart">&nbsp;</TD>
											</xsl:if>
											<!-- ///// Headers of Values from parts ///// -->
											<xsl:for-each select="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]">
												<TD>
													<xsl:attribute name="class">th_<xsl:value-of select="@type"/></xsl:attribute>
													<xsl:apply-templates/>
												</TD>
											</xsl:for-each>

											<!-- ///// PRICE ///// -->
											<xsl:for-each select="PART[1]/PRICE">
												<TD class="th_price">
													<xsl:value-of select="../../PART_DESCRIPTION/@price"/>
													<xsl:if test="@quantity &gt; 1">/<xsl:value-of select="@quantity"/></xsl:if>
													<xsl:if test="@sellingunit">
														<BR/>
														<xsl:value-of select="@sellingunit"/>
													</xsl:if>
												</TD>
											</xsl:for-each>
										</TR>
										<!-- ***///// TABLE- SUBHEADERS /////*** -->
										<xsl:if test="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]/@unit[.!='']|PART[1]/PRICE/@currency">
											<!-- ///// UNITS ///// -->
											<TR class="thead">
												<xsl:if test="@drawing!=''">
													<TD class="th_select">&nbsp;</TD>
												</xsl:if>
												<xsl:if test="$sccol=1">
													<TD class="th_cart">&nbsp;</TD>
												</xsl:if>
												<!-- ///// UNITS of parts values///// -->
												<xsl:for-each select="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]">
													<TD>
														<xsl:attribute name="class">th_<xsl:value-of select="@type"/></xsl:attribute>&nbsp;<xsl:value-of select="@unit"/>&nbsp;</TD>
												</xsl:for-each>
												<!-- ///// CURRENCY ///// -->
												<xsl:for-each select="PART[1]/PRICE">
													<TD>&nbsp;<xsl:value-of select="@currency"/>&nbsp;</TD>
												</xsl:for-each>
											</TR>
										</xsl:if>
									</THEAD>
									<TFOOT>
									</TFOOT>
									<!-- ***///// VALUES /////*** -->
									<TBODY>
										<xsl:for-each select="PART">
											<TR>
												<xsl:attribute name="class">tline<xsl:value-of select="(position() mod 2) +1"/></xsl:attribute>
												<xsl:if test="../@drawing!='' or ../@drawing3d!=''">
												<TD id="t_select">
												<input type="radio" name="ShowDetails">							
													<xsl:choose>
														<xsl:when test="@hotspot_id!=''">
															<xsl:attribute name="value"><xsl:value-of select="@hotspot_id"/></xsl:attribute>
														<xsl:attribute name="onClick"> ShowObject('<xsl:value-of select="@hotspot_id"/>',false,'table')</xsl:attribute>					  
														</xsl:when>
														<xsl:otherwise>
															<xsl:attribute name="value"><xsl:value-of select="@number"/></xsl:attribute>
														<xsl:attribute name="onClick"> ShowObject('<xsl:value-of select="@number"/>',false,'table')</xsl:attribute>					  							  	
														</xsl:otherwise>
													  </xsl:choose>
												</input>
												</TD>
												</xsl:if>
												<xsl:if test="$sccol=1">
													<TD class="t_cart">
														<xsl:choose>
															<xsl:when test="@can_be_ordered='1' and @articlenumber!=''">
																<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
																	<xsl:attribute name="onclick">add2cart2(<xsl:apply-templates select="." mode="createSC"/>); return false;</xsl:attribute>
																	<IMG src="../common/pic/cart.gif" width="20" height="20" border="0"/>
																</A>
															</xsl:when>
															<xsl:otherwise>&nbsp;</xsl:otherwise>
														</xsl:choose>
													</TD>
												</xsl:if>
												<xsl:variable name="partpos">
													<xsl:value-of select="position()"/>
												</xsl:variable>
												<xsl:for-each select="*">
													<xsl:variable name="pos" select="position()"/>
													<xsl:if test="../../FEATURE_SYSTEM/*[position()=$pos and not(@isvisibleinweb='0')]">
														<xsl:apply-templates select=".">
															<xsl:with-param name="pos" select="$partpos"/>
														</xsl:apply-templates>
													</xsl:if>
												</xsl:for-each>

												<xsl:apply-templates select="PRICE"/>
											</TR>
										</xsl:for-each>
									</TBODY>
								</TABLE>
							</TD>
						</TR>
					</TABLE>
				</FORM>
			</DIV>
		</xsl:if>
		<!-- daniel.binder@tid-informatik.de -->
		<!-- If no drawing is available the table get the style partstable -->
		<xsl:if test="//ASSEMBLY[@drawing!='' or @drawing3d!='']">
			<DIV id="partstableDIV" align="center" class="partstable">
				<FORM name="show">
					<!-- EXTERNAL TABLE -->
					<TABLE class="tables">
						<TR>
							<TD>
								<!--INTERNAL TABLE -->
								<TABLE class="internalTable">
									<!-- ***///// TABLE- HEADERS /////*** -->
									<THEAD>
										<TR class="thead">
											<!-- Binder 11.2005 - RadioButton vorne -->
											<xsl:if test="@drawing!='' or @drawing3d!=''">
												<TD class="th_select">&nbsp;</TD>
											</xsl:if>
											<xsl:if test="$sccol=1">
												<TD class="th_cart">&nbsp;</TD>
											</xsl:if>
											<!-- ///// Headers of Values from parts ///// -->
											<xsl:for-each select="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]">
												<TD>
													<xsl:attribute name="class">th_<xsl:value-of select="@type"/></xsl:attribute>
													<xsl:apply-templates/>
												</TD>
											</xsl:for-each>
											<!-- ///// PRICE ///// -->
											<xsl:for-each select="PART[1]/PRICE">
												<TD class="th_price">
													<xsl:value-of select="../../PART_DESCRIPTION/@price"/>
													<xsl:if test="@quantity &gt; 1">/<xsl:value-of select="@quantity"/></xsl:if>
													<xsl:if test="@sellingunit">
														<BR/>
														<xsl:value-of select="@sellingunit"/>
													</xsl:if>
												</TD>
											</xsl:for-each>
										</TR>
										<!-- ***///// TABLE- SUBHEADERS /////*** -->
										<xsl:if test="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]/@unit[.!='']|PART[1]/PRICE/@currency">
											<!-- ///// UNITS ///// -->
											<TR class="thead">
												<xsl:if test="@drawing!=''">
													<TD class="th_select">&nbsp;</TD>
												</xsl:if>
												<xsl:if test="$sccol=1">
													<TD class="th_cart">&nbsp;</TD>
												</xsl:if>
												<!-- ///// UNITS of parts values///// -->
												<xsl:for-each select="FEATURE_SYSTEM/*[not(@isvisibleinweb='0')]">
													<TD>
														<xsl:attribute name="class">th_<xsl:value-of select="@type"/></xsl:attribute>&nbsp;<xsl:value-of select="@unit"/>&nbsp;</TD>
												</xsl:for-each>
												<!-- ///// CURRENCY ///// -->
												<xsl:for-each select="PART[1]/PRICE">
													<TD>&nbsp;<xsl:value-of select="@currency"/>&nbsp;</TD>
												</xsl:for-each>
											</TR>
										</xsl:if>
									</THEAD>
									<TFOOT>
									</TFOOT>
									<!-- ***///// VALUES /////*** -->
									<TBODY>
										<xsl:for-each select="PART">
											<TR>
												<xsl:attribute name="class">tline<xsl:value-of select="(position() mod 2) +1"/></xsl:attribute>

												<xsl:if test="../@drawing!='' or ../@drawing3d!=''">
													<TD id="t_select">
														<input type="radio" name="ShowDetails">
															<xsl:choose>
																<xsl:when test="@hotspot_id!=''">
																	<xsl:attribute name="value">
																		<xsl:value-of select="@hotspot_id"/>
																	</xsl:attribute>
																	<xsl:attribute name="onClick">ShowObject('<xsl:value-of select="@hotspot_id"/>',false,'table')</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:attribute name="value">
																		<xsl:value-of select="@number"/>
																	</xsl:attribute>
																	<xsl:attribute name="onClick">ShowObject('<xsl:value-of select="@number"/>',false,'table')</xsl:attribute>
																</xsl:otherwise>
															</xsl:choose>
														</input>
													</TD>
												</xsl:if>
												<xsl:if test="$sccol=1">
													<TD class="t_cart">
														<xsl:choose>
															<xsl:when test="@can_be_ordered='1' and @articlenumber!=''">
																<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
																	<xsl:attribute name="onclick">add2cart2(<xsl:apply-templates select="." mode="createSC"/>); return false;</xsl:attribute>
																	<IMG src="../common/pic/cart.gif" width="20" height="20" border="0"/>
																</A>
															</xsl:when>
															<xsl:otherwise>&nbsp;</xsl:otherwise>
														</xsl:choose>
													</TD>
												</xsl:if>
												<xsl:variable name="partpos">
													<xsl:value-of select="position()"/>
												</xsl:variable>
												<xsl:for-each select="*">
													<xsl:variable name="pos" select="position()"/>
													<xsl:if test="../../FEATURE_SYSTEM/*[position()=$pos and not(@isvisibleinweb='0')]">
														<xsl:apply-templates select=".">
															<xsl:with-param name="pos" select="$partpos"/>
														</xsl:apply-templates>
													</xsl:if>
												</xsl:for-each>
												<xsl:apply-templates select="PRICE"/>
											</TR>
										</xsl:for-each>
									</TBODY>
								</TABLE>
							</TD>
						</TR>
					</TABLE>
				</FORM>
			</DIV>
		</xsl:if>
		<!-- insert a hidden table for each tooltip in svg -->
		<xsl:for-each select="PART">
			<xsl:if test="INFORMATION/@type='SVGTOOLTIP'">
				<!--and INFORMATION[@type='SVGTOOLTIP']!=''-->

				<div class="svgtooltip" style="position:absolute; left:0px; top:0px;visibility:hidden;">
					<xsl:attribute name="name">hotspot<xsl:value-of select="VALUE[@type='ITEMNUMBER']"/></xsl:attribute>
					<xsl:attribute name="id">hotspot<xsl:value-of select="VALUE[@type='ITEMNUMBER']"/></xsl:attribute>
					<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<xsl:apply-templates select="./INFORMATION[@type='SVGTOOLTIP']"></xsl:apply-templates>
							</td>
						</tr>
					</table>
				</div>
			</xsl:if>
		</xsl:for-each>
		<!-- display everything after the parts -->
		<xsl:apply-templates select="PRODUCT_INFO[preceding-sibling::PART]"/>
	</xsl:template>


	<!-- ************************ -->
	<!-- ** product attributes ** -->
	<!-- ************************ -->
	<xsl:template match="//VALUE|//VARIANT|//INFORMATION">
		<TD>
			<xsl:attribute name="class">
				<xsl:value-of select="@type"/>
			</xsl:attribute>
			<xsl:if test=".=''">&nbsp;</xsl:if>
			<xsl:apply-templates/>
		</TD>
	</xsl:template>
	<xsl:template match="INFORMATION[@type='SVGTOOLTIP']">
		<TABLE class="svgtooltipTABLE" cellspacing="1" cellpadding="1">
			<TR>
				<TD>
					<xsl:attribute name="class">svgtooltipTD</xsl:attribute>
					<xsl:choose>
						<xsl:when test=".!=''">
							<xsl:apply-templates/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="../VALUE[@type='PARTNAME']"/>
						</xsl:otherwise>
					</xsl:choose>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>
	<xsl:template match="//VALUE[@type='ARTICLENUMBER']">
		<xsl:choose>
			<xsl:when test="../../@name='info' and name(../..)!='ASSEMBLY'">
				<!-- do not display article number -->
			</xsl:when>
			<xsl:otherwise>
				<TD>
					<xsl:attribute name="class">
						<xsl:value-of select="@type"/>
					</xsl:attribute>
					<xsl:if test=".=''">&nbsp;</xsl:if>
					<xsl:apply-templates/>
				</TD>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="//PICTURE">
		<td>
			<xsl:attribute name="class">
				<xsl:value-of select="@type"/>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test=".=''">&nbsp;</xsl:when>
				<xsl:otherwise>
					<IMG class="picture">
						<xsl:attribute name="src">
							<xsl:value-of select="."/>
						</xsl:attribute>
					</IMG>
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>

	<xsl:template match="//MINMAX">
		<TD align="right">
			<xsl:attribute name="class">
				<xsl:value-of select="@type"/>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="@min = @max">
					<xsl:value-of select="@current"/>
				</xsl:when>
				<xsl:otherwise>[<xsl:value-of select="@min"/> - <xsl:value-of select="@max"/>]&nbsp;&nbsp;
					<input class="t_minmax">
						<xsl:attribute name="name">
							<xsl:value-of select="../@id"/>
							<xsl:value-of select="@type_id"/>
						</xsl:attribute>
						<xsl:attribute name="id">
							<xsl:value-of select="../@id"/>
							<xsl:value-of select="@type_id"/>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:value-of select="@current"/>
						</xsl:attribute>
						<xsl:attribute name="onBlur">return CheckMinMax(this.id,this.value,<xsl:value-of select="@min"/>,<xsl:value-of select="@max"/>,<xsl:value-of select="@step"/>,<xsl:value-of select="@current"/>);</xsl:attribute>
					</input>
				</xsl:otherwise>
			</xsl:choose>
		</TD>
	</xsl:template>

	<xsl:template match="//SUBTABLEREF">
	</xsl:template>

	<xsl:template match="//VALUE[@type='HISTORY']">
		<TD>
			<xsl:attribute name="class">
				<xsl:value-of select="@type"/>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="../@history">
					<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
						<xsl:attribute name="onclick">showHist('<xsl:value-of select="."/>','<xsl:value-of select="../../@css"/>'); return false;</xsl:attribute>
						<xsl:value-of select="../../PART_DESCRIPTION/@history"/>
					</A>
				</xsl:when>
				<xsl:otherwise>
					<!-- needed for PAS -->
					<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
						<xsl:attribute name="onclick">showHist('<xsl:value-of select="."/>','product.css'); return false;</xsl:attribute>
						<xsl:value-of select="../../ARTICLE_DESCRIPTION/@history"/>
					</A>
				</xsl:otherwise>
			</xsl:choose>
		</TD>
	</xsl:template>

	<xsl:template match="//VALUE[@type='PARTNAME']">
		<xsl:param name="pos"/>
		<TD>
			<xsl:attribute name="class">
				<xsl:value-of select="@type"/>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="../@assemblylink">
					<A href="javascript:doNothing()" onmouseover="window.status=''; return true">
						<xsl:attribute name="onclick">goToAssembly('<xsl:value-of select="$pos"/>'); return false;</xsl:attribute>
						<xsl:value-of select="."/>
					</A>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
		</TD>
	</xsl:template>

	<!-- result view and detail view in PAS -->
	<xsl:template match="//VALUE[(@type='ARTICLENAME' or @type='PARTNAME') and ../@productgroupfilename]">
		<TD>
			<xsl:attribute name="class">
				<xsl:value-of select="@type"/>
			</xsl:attribute>
			<A>
				<xsl:attribute name="href">
					<xsl:value-of select="../@productgroupfilename"/>?highlight=<xsl:value-of select="."/></xsl:attribute>
				<xsl:if test=".=''">&nbsp;</xsl:if>
				<xsl:apply-templates/>
			</A>
		</TD>
	</xsl:template>

	<xsl:template match="//PRICE">
		<xsl:if test="not(../../../@resultview)">
			<!-- display price values if not in result view of PAS -->
			<TD id="t_price">
				<xsl:if test="not(@price)">&nbsp;</xsl:if>
				<xsl:value-of select="@price"/>
			</TD>
		</xsl:if>
	</xsl:template>

	<!-- ********************************************************************** -->
	<!-- ************** HTML-TAGS DEFINITIONS, old templates removed ********** -->
	<!-- ********************************************************************** -->
	<xsl:template match="DIV|font|FONT|P|B|I|U|STRIKE|SUP|SUB|A|BR|UL|OL|LI|@*">
		<xsl:copy>
			<!-- Put on one line to prevent addition of whitespace -->
			<xsl:apply-templates select="@*|*|text()"/>
		</xsl:copy>
	</xsl:template>

	<!-- ********************************************************************** -->
	<!-- ******************** template for text between tags ****************** -->
	<!-- ********************************************************************** -->
	<xsl:template match="text()">
		<xsl:value-of select="."/>
	</xsl:template>


	<!-- **************************************************** -->
	<!-- ****************Find and Replace String ***************** -->
	<!-- **************************************************** -->
	<xsl:template name="replace-text">
		<xsl:param name="text"/>
		<xsl:param name="replace"/>
		<xsl:param name="by"/>
		<xsl:choose>
			<xsl:when test="contains($text, $replace)">
				<xsl:value-of select="substring-before($text, $replace)"/>
				<xsl:value-of select="$by" disable-output-escaping="yes"/>
				<xsl:call-template name="replace-text">
					<xsl:with-param name="text" select="substring-after($text, $replace)"/>
					<xsl:with-param name="replace" select="$replace"/>
					<xsl:with-param name="by" select="$by"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios/><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition></MapperMetaTag>
</metaInformation>
-->